# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'printf "%d\\n", $ExtUtils::MakeMaker::VERSION < 6.30 ? 1 : 0;' 2>/dev/null || echo 0)

# We need to patch the test suite if we have an old version of Test::More
%global old_test_more %(perl -MTest::More -e 'printf "%d\\n", $Test::More::VERSION < 0.94 ? 1 : 0;' 2>/dev/null || echo 0)
%global older_test_more %(perl -MTest::More -e 'printf "%d\\n", $Test::More::VERSION < 0.88 ? 1 : 0;' 2>/dev/null || echo 0)
%global even_older_test_more %(perl -MTest::More -e 'printf "%d\\n", $Test::More::VERSION < 0.82 ? 1 : 0;' 2>/dev/null || echo 0)

# noarch, but to avoid debug* files interfering with manifest test:
%global debug_package %{nil}

Name:		perl-Pod-Wordlist-hanekomu
Version:	1.113620
Release:	1.%{__distinit}%{__distvers}
Summary:	Add words for spell checking POD
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/perl-Pod-Wordlist-hanekomu/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MARCEL/Pod-Wordlist-hanekomu-%{version}.tar.gz
Patch0:		Pod-Wordlist-hanekomu-1.113620-old-eu::mm.patch
Patch1:		Pod-Wordlist-hanekomu-1.110090-Test::More-version.patch
Patch2:		Pod-Wordlist-hanekomu-1.113620-Test::More-done_testing.patch
Patch3:		Pod-Wordlist-hanekomu-1.113620-Test::More-note.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# ===================================================================
# Module requirements
# ===================================================================
%if %(perl -e 'print (($] >= 5.008001) ? 1 : 0)')
BuildRequires:	aspell-en
%else
BuildRequires:	aspell-en-gb
%endif
BuildRequires:	perl(Carp)
BuildRequires:	perl(English)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Spelling)
BuildRequires:	perl(utf8)
# ===================================================================
# Author/Release test requirements
#
# Don't run these tests or include their requirements if we're
# bootstrapping, as many of these modules require each other for
# their author/release tests.
# ===================================================================
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::HasVersion)
BuildRequires:	perl(Test::CheckChanges)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::DistManifest)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::Kwalitee)
BuildRequires:	perl(Test::MinimumVersion)
BuildRequires:	perl(Test::NoTabs)
# Test::Perl::Critic only available if we have Perl 5.8.8 onwards
%if %(perl -e 'print $] >= 5.008008 ? 1 : 0;')
BuildRequires:	perl(Test::Perl::Critic)
%endif
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Portability::Files)
# Test::Synopsis only available if we have Perl 5.8.8 onwards
%if %(perl -e 'print $] >= 5.008008 ? 1 : 0;')
BuildRequires:	perl(Test::Synopsis)
%endif
# Test::Vars only available if we have Perl 5.10 onwards
%if %(perl -e 'print $] >= 5.010 ? 1 : 0;')
BuildRequires:	perl(Test::Vars)
%endif
%endif
# ===================================================================
# Runtime requirements
# ===================================================================
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module, when loaded, adds stopwords for POD spell checking, that is,
words that should be ignored by the spell check.

%prep
%setup -q -n Pod-Wordlist-hanekomu-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0 -p1
%endif

# We have to patch the test suite if we have an old Test::More
#
# Don't really need Test::More ≥ 0.94
%if %{old_test_more}
%patch1 -p1
%endif
# done_testing requires Test::More ≥ 0.88
%if %{older_test_more}
%patch2 -p1
%endif
# note() requires Test::More ≥ 0.82
%if %{even_older_test_more}
%patch3 -p1
%endif

# MANIFEST.SKIP should include MYMETA.yml
#echo MYMETA.yml >> MANIFEST.SKIP

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test %{!?perl_bootstrap:AUTHOR_TESTING=1 RELEASE_TESTING=1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Pod/
%{_mandir}/man3/Pod::Wordlist::hanekomu.3pm*

%changelog
* Wed Dec 28 2011 Paul Howarth <paul@city-fan.org> - 1.113620-1
- Update to 1.113620
  - Added "Lapworth", "UTF", "aggregator", "aggregators", "probe's",
    "runtime", "seekable" and "sigils"
- Re-diff patches where necessary to avoid .orig file pollution

* Tue Aug  9 2011 Paul Howarth <paul@city-fan.org> - 1.110090-2
- BR: perl(Test::HasVersion) and perl(Test::Vars) for full release test
  coverage

* Sun Aug  7 2011 Paul Howarth <paul@city-fan.org> - 1.110090-1
- Initial RPM version
